package com.ruoyi.generator.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.exception.user.ProjectException;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.bean.BeanUtils;
import com.ruoyi.generator.domain.Community.*;
import com.ruoyi.generator.mapper.community.CommunityExpressionCategoryMapper;
import com.ruoyi.generator.mapper.community.CommunityExpressionMapper;
import com.ruoyi.generator.service.ICommunityNotificationService;
import com.ruoyi.generator.service.ICommunityPrivacyService;
import com.ruoyi.generator.vo.CommunityArticleCommentVo;
import com.ruoyi.generator.vo.CommunityExpressionCategoryVo;
import com.ruoyi.generator.vo.CommunityUserNotificationVo;
import com.ruoyi.generator.vo.CommunityUserPrivacyVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * 社区设置管理
 *
 * @author fangQing
 */
@Api(tags = "社区表情管理")
@RestController
@RequestMapping("/community/expression")
public class CommunityExpressionController {


    @Autowired
    private CommunityExpressionCategoryMapper communityExpressionCategoryMapper;

    @Autowired
    private CommunityExpressionMapper communityExpressionMapper;


   /* *//**
     * 获取表情列表
     * @param
     * @return 获取表情列表
     *//*
    @ApiOperation("获取表情列表")
    @GetMapping("/list")
    //@Anonymous
    public AjaxResult queryExpressionList() {
        List<CommunityExpressionCategoryVo> expressionVos = new ArrayList<>();
        try {
            List<CommunityExpressionCategory>  communityExpressionCategories = communityExpressionCategoryMapper.selectList(new QueryWrapper<CommunityExpressionCategory>()
                    .and((wrapper) -> {
                        wrapper.ne("is_delete", true).or().isNull("is_delete");
                    }).orderByAsc("create_time"));
            CommunityExpressionCategoryVo communityExpressionCategoryVo = null;

        } catch (Exception e) {
            e.printStackTrace();
        }
        return AjaxResult.success(expressionVos);
    }*/

    /**
     * 获取表情
     * @param
     * @return 获取表情
     */
    @ApiOperation("获取表情")
    @GetMapping()
    //@Anonymous
    public AjaxResult queryExpression() {
        List<CommunityExpressionCategoryVo> expressionVos = new ArrayList<>();
        try {
            List<CommunityExpressionCategory>  communityExpressionCategories = communityExpressionCategoryMapper.selectList(new QueryWrapper<CommunityExpressionCategory>()
                    .and((wrapper) -> {
                        wrapper.ne("is_delete", true).or().isNull("is_delete");
                    }).orderByAsc("create_time"));
            CommunityExpressionCategoryVo communityExpressionCategoryVo = null;
            for (CommunityExpressionCategory communityExpressionCategory : communityExpressionCategories) {
                communityExpressionCategoryVo = new CommunityExpressionCategoryVo();
                System.out.println(communityExpressionCategory);
                BeanUtils.copyProperties(communityExpressionCategory, communityExpressionCategoryVo);
                expressionVos.add(communityExpressionCategoryVo);
            }

            for (CommunityExpressionCategoryVo expressionVo : expressionVos) {
                //获取分类下的详细表情
                List<CommunityExpression>  communityExpressions = communityExpressionMapper.selectList(new QueryWrapper<CommunityExpression>()
                        .eq("category_id", expressionVo.getId())
                        .and((wrapper) -> {
                            wrapper.ne("is_delete", true).or().isNull("is_delete");
                }));
                expressionVo.setExpression(communityExpressions);
            }
        } catch (Exception e) {
           e.printStackTrace();
        }
        return AjaxResult.success(expressionVos);
    }


}
