package com.ruoyi.generator.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.sign.SHA1Utils;
import com.ruoyi.common.utils.uuid.UUID;
import com.ruoyi.generator.domain.Wx.JsConfig;
import com.ruoyi.generator.util.WxUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/api/wx")
public class WxController extends BaseController {

    private static final String appId = "wx04df75135e207090";
    private static final String appSecret = "bb6c56779af605c7d734900435f1bda5";

    @GetMapping("/getJsConfig")
    public AjaxResult getJsConfig() {
        long timestamp = System.currentTimeMillis();
        String nonceStr = UUID.fastUUID().toString();


        //获取token
        String token = WxUtils.token(appId, appSecret);
        if (token == null) {
            return AjaxResult.error("获取微信token失败!");
        }

        //获取ticket
        String ticket = WxUtils.ticket(appId, token, "2");
        String signature = SHA1Utils.encrypt("appid=" + appId + "&noncestr=" + nonceStr + "&sdk_ticket=" + ticket + "&timestamp=" + timestamp);
        System.out.println("signature:" + signature);
        JsConfig jsConfig = new JsConfig();
        jsConfig.setAppId(appId);
        jsConfig.setTimestamp(String.valueOf(timestamp));
        jsConfig.setNonceStr(nonceStr);
        jsConfig.setSignature(signature);

        return AjaxResult.success(jsConfig);
    }
}
