package com.ruoyi.generator.domain.Community;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* 社区圈子
* @TableName community_circle
*/
@Data
@TableName("community_circle")
public class CommunityCircle implements Serializable {

    /**
    * 唯一id
    */
    @NotNull(message="[唯一id]不能为空")
    @ApiModelProperty("唯一id")
    @TableId("id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
    * 圈子名称
    */
    @Size(max= 50,message="编码长度不能超过50")
    @ApiModelProperty("圈子名称")
    @Length(max= 50,message="编码长度不能超过50")
    private String circleName;
    /**
    * 热度
    */
    @ApiModelProperty("热度")
    private Integer hot;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createBy;
    /**
     * 封面url
     */
    @ApiModelProperty("封面url")
    private String imageUrl;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
    * 更新人
    */
    @ApiModelProperty("更新人")
    private Long updateBy;
    /**
    * 更新时间
    */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("更新时间")
    private Date updateTime;


    /**
     * 是否关注
     */
    @ApiModelProperty("是否关注")
    @TableField(exist = false)
    private Boolean isCare;

    /**
     * 关注人数
     */
    @ApiModelProperty("关注人数")
    @TableField(exist = false)
    private Long heat;

}
