package com.ruoyi.generator.domain.Community;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 表情分类
 * @author fangqing
 * @date 2024/12/30 14:59
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("community_expression")
public class CommunityExpression {

    /**
     * 唯一id
     */
    @NotNull(message="[唯一id]不能为空")
    @ApiModelProperty("唯一id")
    @TableId("id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 分类ID
     */
    @ApiModelProperty("分类ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long categoryId;

    /**
     * 图片地址
     */
    @ApiModelProperty("图片地址")
    private String imageUrl;

    /**
     * 表情名
     */
    @ApiModelProperty("表情名")
    private String name;

    /**
     * 表情描述
     */
    @ApiModelProperty("表情描述")
    private String description;

    /** 是否删除 */
    private boolean isDelete;

}
