package com.ruoyi.generator.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* 我的合集
* @TableName community_collection
*/
@Data
@TableName("community_collection")
public class CommunityCollectionVo implements Serializable {

    /**
    * 唯一id
    */
    @NotNull(message="[唯一id]不能为空")
    @ApiModelProperty("唯一id")
    @TableId("id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
    /**
    * 合集名称
    */
    @Size(max= 100,message="编码长度不能超过100")
    @ApiModelProperty("合集名称")
    @Length(max= 100,message="编码长度不能超过100")
    private String collectionName;
    /**
    * 合集简介
    */
    @Size(max= -1,message="编码长度不能超过-1")
    @ApiModelProperty("合集简介")
    @Length(max= -1,message="编码长度不能超过-1")
    private String collectionProfile;
    /**
    * 封面图片地址
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("封面图片地址")
    @Length(max= 255,message="编码长度不能超过255")
    private String images;

    /**
     * 浏览量
     */
    @ApiModelProperty("浏览量")
    private Long pageViews;

    /**
     * 文章数量
     */
    @ApiModelProperty("文章数量")
    private Long articleCount;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createBy;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 是否关注
     */
    @ApiModelProperty("是否关注")
    private Boolean isFollow;
}
