package com.ruoyi.generator.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* 文章评论回复表
* @TableName community_comment_reply
*/
@Data
@TableName("community_comment_reply")
public class CommunityCommentReplyVo implements Serializable {

    /**
    * 唯一id
    */
    @NotNull(message="[唯一id]不能为空")
    @ApiModelProperty("唯一id")
    @TableId("id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
    * 评论id
    */
    @ApiModelProperty("评论id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long commentId;
    /**
    * 父回复id
    */
    @ApiModelProperty("父回复id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long parentReplyId;
    /**
     * 父回复用户id
     */
    @ApiModelProperty("父回复用户id")
    private Long parentUserId;
    /**
     * 父回复用户昵称
     */
    @ApiModelProperty("父回复用户昵称")
    private String parentNickName;
    /**
     * 父回复用户头像
     */
    @ApiModelProperty("父回复用户头像")
    private String parentAvatar;
    /**
    * 回复用户id
    */
    @ApiModelProperty("回复用户id")
    private Long userId;
    /**
     * 回复用户昵称
     */
    @ApiModelProperty("回复用户昵称")
    private String nickName;
    /**
     * 用户头像
     */
    @ApiModelProperty("用户头像")
    private String avatar;
    /**
     * 是否是已读
     */
    @ApiModelProperty("是否是已读")
    private boolean isRead;
    /**
     * 是否是回复
     */
    @ApiModelProperty("是否是回复")
    private boolean isReply;
    /**
     * 点赞数量
     */
    @ApiModelProperty("点赞数量")
    private int likeCount;
    /**
     * 当前用户是否点赞
     */
    @ApiModelProperty("当前用户是否点赞")
    private boolean isLike;
    /**
    * 回复内容
    */
    @Size(max= -1,message="编码长度不能超过-1")
    @ApiModelProperty("回复内容")
    @Length(max= -1,message="编码长度不能超过-1")
    private String content;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createBy;
    /**
    * 更新时间
    */
    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
    * 更新人
    */
    @ApiModelProperty("更新人")
    private Long updateBy;

    /**
     * 图片地址
     */
    @ApiModelProperty("图片地址")
    private String imageUrl;

    /**
     * 用户地址
     */
    @ApiModelProperty("用户地址")
    private String address;
}
