package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* 社区聊天信息
* @TableName community_chat_msg
*/
@Data
@TableName("community_chat_msg")
public class CommunityChatMsg implements Serializable {

    /**
    * 唯一Id
    */
    @NotNull(message="[唯一Id]不能为空")
    @TableId("id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
    * 内容
    */
    @Size(max= -1,message="编码长度不能超过-1")
    @Length(max= -1,message="编码长度不能超过-1")
    private String content;
    /**
    * 消息发送人id
    */
    private Long senderId;
    /**
     * 发送人匿名名称
     */
    private String senderAnonName;
    /**
    * 消息接收人id
    */
    private Long receiverId;
    /**
     * 接收人匿名名称
     */
    private String receiverAnonName;
    /**
     * 地址名称
     */
    private String addressName;
    /**
     * 地址
     */
    private String address;
    /**
     * 纬度
     */
    private Double latitude;
    /**
     * 经度
     */
    private Double longitude;
    /**
     * 文件地址(录音视频)
     */
    private String url;
    /**
     * 录音时长
     */
    private int voiceTime;
    /**
     * 消息类别
     */
    private String type;
    /**
     * 消息类型
     */
    private int messageType;
    /**
     * 是否已读(发送人)
     */
    private boolean senderIsRead;
    /**
     * 是否已读(接收人)
     */
    private boolean receiverIsRead;
    /**
    * 创建时间
    */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
    * 更新时间
    */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
    * 创建人
    */
    private Long createBy;
    /**
    * 更新人
    */
    private Long updateBy;

    /**
     * 发送人是否已删除
     */
    private Boolean isDelete;

    /**
     * 接收人是否已删除
     */
    private Boolean receiverIsDelete;

}
